Author: Sebastian Kurfuerst Category:
PHP Version:
Has patch: No
Subject: Add support for Appserver-in-PHP, which could result in much faster executions.
Description

Add support for Appserver-in-PHP, which could result in much faster executions.

    -  https://github.com/indeyets/appserver-in-php

Installation of AiP
    -  Install php5-posix and php5-pcntl (through MacPorts, APT, ...)
    -  pear channel-discover pear.indeyets.pp.ru
    -  pear install indeyets/AppServer

History
#1 - 2011-06-09 07:32 - Sebastian Kurfuerst
- % Done changed from 0 to 80

https://review.typo3.org/#q,topic:27322,n,z

    -  There will still be problems with uploaded Resources (no URI mapping for that yet).

#2 - 2011-06-13 09:12 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2011-09-06 18:30 - Christopher Hlubek

I played around with this and we have some problems with FLOW3 and AiP: sessions and Login don't seem to work, I was only able to login
sometimes. RequestURI detection for resources is started at initialization, when AiP has no information about the RequestURI. We need to change
that.

The routing sometimes generates URLs with a prefix of /index.php/ which is annoying. I did not figure out yet, when that happens.

But there is one big design issue with the Request handling in FLOW3: we need to use the request handler (e.g. for SOAP requests or other flexible
handling of requests) instead of building just web requests and the request handler doesn't expose any response object. So we don't get access to the
generated content (could be fetched from output buffer) and to any headers that were set (I see no way to get these).

My idea would be to have a lowlevel and thin layer that could expose this information from the RequestHandler: each RequestHandler would have to
use the environment to output information (like it does for getting arguments and headers), since we already have a special AiP environment in place
and could collect data for each run.
#4 - 2012-07-09 18:11 - Karsten Dambekalns
- Status changed from Under Review to On Hold
- % Done changed from 80 to 0
- Has patch set to No

The changes have been abandoned, see https://review.typo3.org/#/q/topic:27322+status:abandoned,n,z
